Subject: bug#26356: [PATCH] gnu: Add intel-gpu-tools.

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 04 Apr 2017 23:03:29 +0200

Marius Bakke <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>> Marius Bakke <[email-masked]> writes:
>>
>>>> +(define-public intel-gpu-tools
>>>> +  (package
>>>> +    (name "intel-gpu-tools")
>>>> +    (version "1.18")
>>>> +    (source
>>>> +     (origin (method git-fetch)
>>>> +             (uri (git-reference
>>>> +                   (url "https://anongit.freedesktop.org/git/xorg/app/intel-gpu-tools.git")
>>>> +                   (commit (string-append name "-" version))))
>>>
>>> I managed to get a tarball by constructing this URL:
>>>
>>> https://cgit.freedesktop.org/xorg/app/intel-gpu-tools/snapshot/intel-gpu-tools-1.18.tar.gz
>>
>> Aren’t these tarballs generated on demand and may thus have different
>> embedded timestamps?
>
> I've come across very few servers that do this (actually only the Google
> Android repositories). At least, the tarball downloaded earlier and one
> from just now have the same SHA256:
>
> 03ff3cc2d8009e821a07c83a1ed44fdcb0d27e1a958d15ec87e6f0e2c194ed70  intel-gpu-tools-1.18(1).tar.gz
> 03ff3cc2d8009e821a07c83a1ed44fdcb0d27e1a958d15ec87e6f0e2c194ed70  intel-gpu-tools-1.18.tar.gz

I’ve got the same.  Maybe it’s cached?  In the past I encountered
servers that would just generate a new tarball after a while.  IIRC it
happened with the mercurial web interface and also with gitweb (e.g. on
https://git.elephly.net).

I don’t know if cgit is any different.  I’ll try downloading this again
tomorrow.  If the file is still the same I’ll assume that it’s stable
and will use the tarball URL instead.

Thanks for checking!

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net